tab51 <- function(iK=1, kpar=1)
              #This function calculates T(K)^{2/5} for
	      #different order of kernels
              #iK=1 means that the standard normal kernel is used 
              #kpar is the parameter which specifies the particular symmetric 
              #beta kernel: kpar=0 -> uniform kernel
              #             kpar=1 -> Epanechnikov kernel
              #             kpar=2 -> Biweight kernel
              #             kpar=3 -> Triweight kernel
              #OUTPUT:  T(K)^{2/5}

{
 const <- c(0.5, 0.75, 0.9375, 1.09375)       #normalizing constants for the 
                                              #symmetric Beta kernel
 if(iK==1)
   {x <- seq(-5, 5, by=0.001)
    x <- x+0.0005
    x <- x[1:length(x)-1]
    y <-  0.3989423 * exp(-0.5*x^2)                  #standard normal density
    mu <- mean(x^2*y)*10
    nu <- mean(y^2)*10 
   }
 else
   { x <- seq(-1,1,by=0.001)
     x <- x+0.0005
     x <- x[1:length(x)-1]
     arg <- x^2
     y <- const[kpar+1]*(1-arg)^(kpar)
     mu <- mean(arg*y)*2
     nu <- mean(y^2)*2 
   }
   list(mu = mu, nu = nu, value = (mu*nu^2)^{2/5})
}
